# Interface ExtraParameter

All Known Implementing Classes:
  `FilterParameter, InputFormatParameter, LayerTypeParameter, MatchEngineParameter, MultiOutputFormatParameter, OutputFormatParameter, OutputModeParameter, XmlEncodingParameter`

public interface ExtraParameter
Interface which defines additional information available from a Parameter. The intention is that Parameter implementations implement this interface if they have more to say about usage than the one-line text returned by their `Parameter.getUsage()` method.

Since:
  15 Aug 2005
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`String`
`getExtraUsage(TableEnvironment env)`
Returns an extended usage message.

## Method Details

### getExtraUsage

String getExtraUsage(TableEnvironment env)
Returns an extended usage message. This should not repeat the content of the normal usage message. It should be preformatted, that is it should contain newlines to keep the line length down to less than 80 characters.

Parameters:
  `env` - execution envrionment
Returns:
  extended usage message